

#ifndef F_ADC_Trap_h
#define F_ADC_Trap_h

#include "F_Data.h"

class F_ADC_Trap : public F_Data {

   public :
      F_ADC_Trap ();

   public :
      virtual void Reset ();
      virtual void Reset (const faster_data_p data);

   protected :
      virtual Bool_t  Type_Check (const Int_t type);
      TString Type_Name  ();

   protected :
      Int_t     measure;
      Bool_t    saturated;
      Bool_t    pileup;

   public :
      ClassDef (F_ADC_Trap, 2)

};

#endif
