
#ifndef F_Data_h
#define F_Data_h

#include "TNamed.h"

#include "fasterac/fasterac.h"

class F_Data : public TNamed {

   public :
           F_Data     ();
//	  ~F_Data     ();
      void Initialize (const faster_data_p data);

   public :
      virtual void    Reset          ();
      virtual void    Reset          (const faster_data_p data);
              void    Set_Group      (const Int_t label);

   protected :
              Bool_t  Is_Initialized ();
      virtual TString Type_Name      ()                 = 0;
      virtual Bool_t  Type_Check     (const Int_t type) = 0;
              Bool_t  Label_Check    (const Int_t label);
              Bool_t  Data_Check     (const faster_data_p data);

   protected :
      Int_t    hits;
      Long64_t t_ps;    //  time picosec
      Int_t    group;

   private :
      Int_t label;

//   public :
//      static Int_t nb_data;

   public :
      ClassDef (F_Data, 2)

};

#endif
