

#ifndef F_SCALER_h
#define F_SCALER_h

#include "F_Data.h"

class F_Scaler : public F_Data {

   public :
      F_Scaler ();

   public :
      virtual void Reset ();
      virtual void Reset (const faster_data_p data);

   protected :
      virtual Bool_t  Type_Check (const Int_t type);
      TString Type_Name  ();

   protected :
      Float_t max_mV;
      Float_t max_ns;
      Float_t qtt_mVns;
      Float_t fw_thr_ns;
      Int_t   n_quanta;
      Bool_t  saturated;

   public :
      ClassDef (F_Scaler, 2)

};

#endif
