#ifndef F_HV_h
#define F_HV_h

#include "F_Data.h"

class F_HV : public F_Data {

   public :
      F_HV ();

   public :
      virtual void Reset ();
      virtual void Reset (const faster_data_p data);

   protected :
      virtual Bool_t  Type_Check (const Int_t type);
      TString Type_Name  ();

   protected :
      TString  state;
      Float_t  voltage_V;
      Float_t  intensity_mA;
      Float_t  temp_dC;

   public :
      ClassDef (F_HV, 2)

};

#endif


