
#include "autoroot/F_QDC_Cnt.h"

#include "fasterac/qdc.h"

ClassImp (F_QDC_Cnt)


   F_QDC_Cnt::F_QDC_Cnt ()
   {
      Reset ();
   }


   void F_QDC_Cnt::Reset ()  {
      F_Data::Reset ();
      calc = 0;
      sent = 0;
   }


   void F_QDC_Cnt::Reset (const faster_data_p data) {
     qdc_counter* cnt;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        cnt = (qdc_counter*) faster_data_load_p (data);
        calc = cnt->calc;
        sent = cnt->sent;
     }
   }


   TString F_QDC_Cnt::Type_Name ()
   {
      return "QDC_COUNTER";
   }


   Bool_t F_QDC_Cnt::Type_Check (const Int_t type)
   {
      return (type == QDC_COUNTER_TYPE_ALIAS);
   }

