
#ifndef F_RF_h
#define F_RF_h


#include "F_Data.h"

class F_RF : public F_Data {

   public :
      F_RF ();

   public :
      virtual void Reset ();
      virtual void Reset (const faster_data_p data);

   protected :
      virtual Bool_t  Type_Check (const Int_t type);
              TString Type_Name  ();

	protected :
      Long64_t period_ps;    //  time picosec
      Long64_t pll_ps;       //  time picosec
      Bool_t   saturated;

   public :
      ClassDef (F_RF, 2)

};

#endif
